export default fieldSet = {
        advdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \brdgrp\rec\advdat    Date of Advice of Payment 
    ],
    docflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \brdgrp\rec\docflg    Usance, Sight or Mixed 
    ],
    docsta:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \brdgrp\rec\docsta    Document Set Status 
    ],
    matdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \brdgrp\rec\matdat    Maturity Date 
    ],
    nam:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \brdgrp\rec\nam    Name of Bill Contract 
    ],
    ownref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \brdgrp\rec\ownref    Own Reference BR Number 
    ],
    rcvdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \brdgrp\rec\rcvdat    Date of Receipt of Documents 
    ],
    expdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \lidgrp\rec\expdat    Date of Expiry 
    ],
    ownref1:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\rec\ownref    Reference 
    ],
    pts_nam:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \brdgrp\apl\pts\nam    客户英文名称 
    ],
    pts_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \brdgrp\apl\pts\ref    参考号 
    ],
    pts1_nam:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \brdgrp\ben\pts\nam    客户英文名称 
    ],
    pts1_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \brdgrp\ben\pts\ref    参考号 
    ],
    max_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \brdgrp\cbs\max\amt    Balance 
    ],
    max_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \brdgrp\cbs\max\cur    Currency 
    ],
    opn1_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \brdgrp\cbs\opn1\amt    Balance 
    ],
    opn1_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \brdgrp\cbs\opn1\cur    Currency 
    ],
    pts2_nam:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \brdgrp\prb\pts\nam    客户英文名称 
    ],
    pts2_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \brdgrp\prb\pts\ref    参考号 
    ],
    matp_mattxtlab:[
            {type:'string',max:20,message:'长度不能超过20个字符'},  // \brtp0\matp\mattxtlab    Label for MATTXT 
    ],
    fremsg_ccrol:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \fremsg\ccrol    Role Copy 
    ],
    fremsg_flg:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \fremsg\flg    flg for gitfre 
    ],
    pts3_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \fremsg\fmc\pts\adrblk    SWIFT地址 
    ],
    pts3_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \fremsg\fmc\pts\extkey    客户编号 
    ],
    pts4_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \fremsg\fmo\pts\adrblk    SWIFT地址 
    ],
    pts4_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \fremsg\fmo\pts\extkey    客户编号 
    ],
    fremsg_fulmt:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \fremsg\fulmt    MT to Send 
    ],
    fremsg_msgrol:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \fremsg\msgrol    Role Message 
    ],
    fremsg_prttitle:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \fremsg\prttitle    Document Title 
    ],
    fremsg_reldat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \fremsg\reldat    from 
    ],
    fremsg_reldatlab:[
            {type:'string',max:25,message:'长度不能超过25个字符'},  // \fremsg\reldatlab    label for date 
    ],
    fremsg_reldir:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \fremsg\reldir    relevant message sent/received 
    ],
    fremsg_relmt:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \fremsg\relmt    related MT 
    ],
    fremsg_sndmt:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \fremsg\sndmt    message to be created 
    ],
    fremsg_strinf:[
            {type:'string',max:50,message:'长度不能超过50个字符'},  // \fremsg\strinf    Narrative 
    ],
    fremsg_strinflab:[
            {type:'string',max:80,message:'长度不能超过80个字符'},  // \fremsg\strinflab    label for tag 79 
    ],
    fremsg_tag20lab:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \fremsg\tag20lab    MT799tag20 
    ],
    fremsg_tag20ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \fremsg\tag20ref    tag 20 Ref 
    ],
    opn11_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\cbs\opn1\amt    Balance 
    ],
    opn11_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \lidgrp\cbs\opn1\cur    Currency 
    ],
    setmod_docamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \setmod\docamt    document amount 
    ],
    setmod_doccur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \setmod\doccur    document currency 
    ],
    setmod_feemac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\feemac    FEEMAC 
    ],
    setmod_setmac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\setmac    SETMAC 
    ],
    spt_inr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \sysmod\spt\inr    唯一编号 
    ],
    trndoc_condocstm:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \trnmod\trndoc\condocstm    Connected Documents 
    ],
    trndoc_cortyp:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \trnmod\trndoc\cortyp    Per Medium 
    ],
    trndoc_doccod:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \trnmod\trndoc\doccod    面函码值 
    ],
    trndoc_docpth:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \trnmod\trndoc\docpth    面函路径 
    ],
    trndoc_doctrestm:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \trnmod\trndoc\doctrestm    Document tree 
    ],
    trndoc_shwinc:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \trnmod\trndoc\shwinc    Show Incoming Messages 
    ],
    trndoc_shwout:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \trnmod\trndoc\shwout    Show Outgoing Messages 
    ],
    trndoc_shwoutint:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \trnmod\trndoc\shwoutint    Show Internal Messages 
    ],
}