import React, { Component, Fragment } from 'react'
import {
	Page, Validator, Notification, FormItem,
	InputItem, Input, Bind, SelectItem, Button, Label, DatePickerItem, Section, Table, TextArea, ConfirmButton, Steps
} from '@/components/Common-Library'
import Api from '@/service/api'
import mFcyadd from '../model'
import CodeTableFactory from '@/components/CodeTable'

import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable, runInAction } from 'mobx'

import Basic from './Basic'

import Fee from '@/views/Public/Fee'
import Gle from '@/views/Public/Gle'
import Papper from '@/views/Public/Papper'
import Engp from '@/views/Public/Engp'

import { Card } from 'antd'


const CodeTable = CodeTableFactory.getInstance()
const StepItem = Steps.Item

@inject('UserContext')
@inject('i18n')
@observer
export default class FcyaddScreen extends Page {
	@observable
	formBlur = false

	@observable
	extra = { inifrm: 'fcyadd', sptinr: '', bchlevelLst: [] }



	constructor(props) {
		super(props)
		this.state = {
			flag: true
		}
		this.model = new mFcyadd()
	}
	//交易初始化
// 	async componentWillMount() {
// 		let brdinr = '';
		
// 		if (this.props.location.query) {
// 			if(this.props.location.query.from=="sptsel"){
// 				this.extra.sptinr=this.props.location.query.sptinr;
// 			  }else{
// 				brdinr=this.props.location.query.brdinr;
// 			  }
// 			}
// 			const rtnmsg = await Api.post(this.extra.inifrm + '/init', { params: { sptinr:this.extra.sptinr,brdinr } })
		
// 		if (rtnmsg.retcod == SUCCESS) {
			
// 			this.extra.bchlevelLst = rtnmsg.codetable.ownbch;
// 			this.extra.bopmod_szflg = rtnmsg.codetable.bopmod_szflg;
// 			Object.assign(this.model, rtnmsg.data)
// 			this.model.max_cur = 'CNY'
// 			this.model.concur = 'CNY'
//             this.model.nom1_cur= 'CNY'
// 			this.setState({ flag: false })
// 		}
// 		else {
// 			Notification.error({ message: '服务端请求失败!' })
// 		}

// 		//快照模式下，不必开启校验，否则，静默校验，和记录变动
// 		!this.loadDisplay() && this.model.openMonitor() //开启校验	
// 	}

// 	componentWillUnmount() {
// 		this.model.stopMonitor()//关闭校验
//   }
  
	//交易内实现
	renderPage() {
		return (
			<Card title="个人购汇新增" size="small" className="transTitle">
				
					
						<Basic model={this.model} extra={this.extra} flag={this.state.flag} />
			
					{/* <StepItem title="表外&保证金">
						<Engp model={this.model} extra={this.extra} />
					</StepItem>

					<StepItem title="费用&账务">
						<Fee model={this.model} extra={this.extra} />
					</StepItem>
					<StepItem title="会计分录">
						<Gle model={this.model} extra={this.extra} />
					</StepItem>

					<StepItem title="面函">
						<Papper model={this.model} extra={this.extra} />
					</StepItem> */}

				

				
			</Card>
		)
	
	}
}
