import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Gitfre {
    
    @observable
    expdat=""           // \gidgrp\rec\expdat    Valid until 

    @observable
    gartyp=""           // \gidgrp\rec\gartyp    Type of Undertaking 

    @observable
    hndtyp=""           // \gidgrp\rec\hndtyp    Handling Type 

    @observable
    liadat=""           // \gidgrp\rec\liadat    Liability until 

    @observable
    nam=""           // \gidgrp\rec\nam    Externally Displayed Name to Identify the Contract 

    @observable
    ownref=""           // \gidgrp\rec\ownref    Reference 

    @observable
    fremsg_ccrol=""           // \fremsg\ccrol    Role Copy 

    @observable
    fremsg_flg=""           // \fremsg\flg    flg for gitfre 

    @observable
    pts_adrblk=""           // \fremsg\fmc\pts\adrblk    SWIFT地址 

    @observable
    pts_extkey=""           // \fremsg\fmc\pts\extkey    客户编号 

    @observable
    pts1_adrblk=""           // \fremsg\fmo\pts\adrblk    SWIFT地址 

    @observable
    pts1_extkey=""           // \fremsg\fmo\pts\extkey    客户编号 

    @observable
    fremsg_fulmt=""           // \fremsg\fulmt    MT to Send 

    @observable
    fremsg_msgrol=""           // \fremsg\msgrol    Role Message 

    @observable
    fremsg_prttitle=""           // \fremsg\prttitle    Document Title 

    @observable
    fremsg_reldat=""           // \fremsg\reldat    from 

    @observable
    fremsg_reldatlab=""           // \fremsg\reldatlab    label for date 

    @observable
    fremsg_reldir=""           // \fremsg\reldir    relevant message sent/received 

    @observable
    fremsg_relmt=""           // \fremsg\relmt    related MT 

    @observable
    fremsg_sndmt=""           // \fremsg\sndmt    message to be created 

    @observable
    fremsg_strinf=""           // \fremsg\strinf    Narrative 

    @observable
    fremsg_strinflab=""           // \fremsg\strinflab    label for tag 79 

    @observable
    fremsg_tag20lab=""           // \fremsg\tag20lab    MT799tag20 

    @observable
    fremsg_tag20ref=""           // \fremsg\tag20ref    tag 20 Ref 

    @observable
    pts2_nam=""           // \gidgrp\adv\pts\nam    客户英文名称 

    @observable
    pts3_nam=""           // \gidgrp\apl\pts\nam    客户英文名称 

    @observable
    pts4_nam=""           // \gidgrp\ben\pts\nam    客户英文名称 

    @observable
    max_amt=""           // \gidgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \gidgrp\cbs\max\cur    Currency 

    @observable
    opn1_amt=""           // \gidgrp\cbs\opn1\amt    Balance 

    @observable
    opn1_cur=""           // \gidgrp\cbs\opn1\cur    Currency 

    @observable
    pts5_nam=""           // \gidgrp\iss\pts\nam    客户英文名称 

    @observable
    gitp0_aplmullab=""           // \gitp0\aplmullab    Label, that is set, if there are multiple applicants 

    @observable
    gitp0_expfldlab=""           // \gitp0\expfldlab    Label for Field Validity 

    @observable
    gitp0_liafldlab=""           // \gitp0\liafldlab    Label for Field Lability 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    spt_inr=""           // \sysmod\spt\inr    唯一编号 

    @observable
    trndoc_condocstm=""           // \trnmod\trndoc\condocstm    Connected Documents 

    @observable
    trndoc_cortyp=""           // \trnmod\trndoc\cortyp    Per Medium 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    @observable
    trndoc_doctrestm=""           // \trnmod\trndoc\doctrestm    Document tree 

    @observable
    trndoc_shwinc=""           // \trnmod\trndoc\shwinc    Show Incoming Messages 

    @observable
    trndoc_shwout=""           // \trnmod\trndoc\shwout    Show Outgoing Messages 

    @observable
    trndoc_shwoutint=""           // \trnmod\trndoc\shwoutint    Show Internal Messages 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.expdat=""
            this.gartyp=""
            this.hndtyp=""
            this.liadat=""
            this.nam=""
            this.ownref=""
            this.fremsg_ccrol=""
            this.fremsg_flg=""
            this.pts_adrblk=""
            this.pts_extkey=""
            this.pts1_adrblk=""
            this.pts1_extkey=""
            this.fremsg_fulmt=""
            this.fremsg_msgrol=""
            this.fremsg_prttitle=""
            this.fremsg_reldat=""
            this.fremsg_reldatlab=""
            this.fremsg_reldir=""
            this.fremsg_relmt=""
            this.fremsg_sndmt=""
            this.fremsg_strinf=""
            this.fremsg_strinflab=""
            this.fremsg_tag20lab=""
            this.fremsg_tag20ref=""
            this.pts2_nam=""
            this.pts3_nam=""
            this.pts4_nam=""
            this.max_amt=""
            this.max_cur=""
            this.opn1_amt=""
            this.opn1_cur=""
            this.pts5_nam=""
            this.gitp0_aplmullab=""
            this.gitp0_expfldlab=""
            this.gitp0_liafldlab=""
            this.setmod_docamt=""
            this.setmod_doccur=""
            this.setmod_feemac=""
            this.glemod_glelst=[]
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_setmac=""
            this.spt_inr=""
            this.trndoc_condocstm=""
            this.trndoc_cortyp=""
            this.trndoc_doccod=""
            this.docmod_doclst=[]
            this.trndoc_docpth=""
            this.trndoc_doctrestm=""
            this.trndoc_shwinc=""
            this.trndoc_shwout=""
            this.trndoc_shwoutint=""
    }

} 


export default Gitfre