import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Lcyadd {
    
    @observable
    actiontyp=""           //操作类型

    @observable
    reasonremark=""           // 补录/修改/撤销原因 

    @observable
    reasoncod=""           // 补录修改原因代码

    @observable
    baksrinum=""           // 银行自身流水号

    @observable
    biztypcod=""           // 业务类型代码

    @observable
    idtypecod=""           // 证件类型代码 

    @observable
    idcode=""           // 证件号码

    @observable
    ctycod=""           // 国家/地区代码

    @observable
    addidcode=""           // 补充证件号码

    @observable
    personnam=""           // 姓名 

    @observable
    salefxtxcode=""           // 结汇资金属性代码 

    @observable
    cur=""           // 币种

    @observable
    salefxamt=""           // 结汇金额

    @observable
    lcycnyacc=""           // 结汇人民币账户

    @observable
    selsetcod=""           // 结汇资金形态代码 

    @observable
    lcyacctno=""           //个人外汇账户账号

    @observable
    biztxchnlcod=""           // 业务办理渠道代码 

    @observable
    业务办理时间=""           // 业务办理时间

    @observable
    remark=""           // 备注 

    @observable
    agentcorpcod=""           // 代理企业组织机构代码

    @observable
    agentcorpnam=""           // 代理企业名称 

    @observable
    indivorgcode=""           // 个体工商户组织机构代码 

    @observable
    indivorgname=""           // 个体工商户名称

    @observable
    payorgcod=""           // 支付机构组织代码

    @observable
    capitalno=""           // 外汇局批件号

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.actiontyp=""
            this.reasonremark=""
            this.reasoncod=""
            this.baksrinum=""
            this.biztypcod=""
            this.idtypecod=""
            this.idcode=""
            this.ctycod=""
            this.addidcode=""
            this.personnam=""
            this.salefxtxcode=""
            this.cur=""
            this.salefxamt=""
            this.lcycnyacc=""
            this.selsetcod=""
            this.lcyacctno=""
            this.biztxchnlcod=""
            this.biztxtime=""
            this.remark=""
            this.agentcorpcod=""
            this.agentcorpnam=""
            this.indivorgcode=""
            this.indivorgname=""
            this.payorgcod=""
            this.capitalno=""
    }

} 


export default Lcyadd