import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Litdck {
    
    @observable
    advtyp=""           // \brdgrp\rec\advtyp    Type of Advice Received 

    @observable
    approvcod=""           // \brdgrp\rec\approvcod    Documents on Approval Basis 

    @observable
    disdat=""           // \brdgrp\rec\disdat    Date of Discrepancy Advice 

    @observable
    docflg=""           // \brdgrp\rec\docflg    Usance, Sight or Mixed 

    @observable
    docprbrol=""           // \brdgrp\rec\docprbrol    Presented by 

    @observable
    docsta=""           // \brdgrp\rec\docsta    Document Set Status 

    @observable
    dscinsflg=""           // \brdgrp\rec\dscinsflg    Enter Docs, Discrep. and Instructions 

    @observable
    igndisflg=""           // \brdgrp\rec\igndisflg    Ignore Discrepancies 

    @observable
    matdat=""           // \brdgrp\rec\matdat    Maturity Date 

    @observable
    nam=""           // \brdgrp\rec\nam    Name of Bill Contract 

    @observable
    orddat=""           // \brdgrp\rec\orddat    Order Date 

    @observable
    ownref=""           // \brdgrp\rec\ownref    Own Reference BR Number 

    @observable
    predat=""           // \brdgrp\rec\predat    Presentation Date 

    @observable
    rcvdat=""           // \brdgrp\rec\rcvdat    Date of Receipt of Documents 

    @observable
    shpdat=""           // \brdgrp\rec\shpdat    Date of Shipment 

    @observable
    totdat=""           // \brdgrp\rec\totdat    Date to be Paid 

    @observable
    avbby=""           // \lidgrp\rec\avbby    Available by 

    @observable
    expdat=""           // \lidgrp\rec\expdat    Date of Expiry 

    @observable
    expplc=""           // \lidgrp\rec\expplc    Place of Expiry 

    @observable
    lcrtyp=""           // \lidgrp\rec\lcrtyp    Form of Documentary Credit 

    @observable
    nam1=""           // \lidgrp\rec\nam    Externally Displayed Name to Identify the Contract 

    @observable
    opndat=""           // \lidgrp\rec\opndat    Date L/C Opened/Issued 

    @observable
    ownref1=""           // \lidgrp\rec\ownref    Reference 

    @observable
    redclsflg=""           // \lidgrp\rec\redclsflg    Red/Green Clause 

    @observable
    revflg=""           // \lidgrp\rec\revflg    Revolving Flag 

    @observable
    shpdat1=""           // \lidgrp\rec\shpdat    Shipment Date 

    @observable
    utlnbr=""           // \lidgrp\rec\utlnbr    Count of Received Document Sets 

    @observable
    pts_nam=""           // \brdgrp\apl\pts\nam    客户英文名称 

    @observable
    pts_ref=""           // \brdgrp\apl\pts\ref    参考号 

    @observable
    pts1_nam=""           // \brdgrp\ben\pts\nam    客户英文名称 

    @observable
    pts1_ref=""           // \brdgrp\ben\pts\ref    参考号 

    @observable
    blk_comcon=""           // \brdgrp\blk\comcon    Comments and Conclusions 

    @observable
    blk_docdis=""           // \brdgrp\blk\docdis    Discrepancies 

    @observable
    blk_docdisflg=""           // \brdgrp\blk\docdisflg    discrepancies modified 

    @observable
    blk_matper=""           // \brdgrp\blk\matper    Maturity Period 

    @observable
    blk_setinsbr=""           // \brdgrp\blk\setinsbr    Settlement Instructions BR 

    @observable
    max2_amt=""           // \brdgrp\cbs\max2\amt    Balance 

    @observable
    max_amt=""           // \brdgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \brdgrp\cbs\max\cur    Currency 

    @observable
    opn2_cur=""           // \brdgrp\cbs\opn2\cur    Currency 

    @observable
    pts2_adrblk=""           // \brdgrp\prb\pts\adrblk    SWIFT地址 

    @observable
    pts2_extkey=""           // \brdgrp\prb\pts\extkey    客户编号 

    @observable
    pts2_nam=""           // \brdgrp\prb\pts\nam    客户英文名称 

    @observable
    pts2_ref=""           // \brdgrp\prb\pts\ref    参考号 

    @observable
    aammod_addamtflg=""           // \brtp\aammod\addamtflg    Add. Amount 

    @observable
    brtp_cre732flg=""           // \brtp\cre732flg    Create MT 732 

    @observable
    brtp_cre752flg=""           // \brtp\cre752flg    Create 752 

    @observable
    docgrdm_docdsclab=""           // \brtp\docgrdm\docdsclab    Label of document description 

    @observable
    brtp_furide=""           // \brtp\furide    MT752: Further Indentification 

    @observable
    brtp_setnowflg=""           // \brtp\setnowflg    Register to Send and Settle Document 

    @observable
    lidgrp_avbnam=""           // \lidgrp\avbnam    Available with Bank 

    @observable
    nom1_amt=""           // \lidgrp\cbs\nom1\amt    Balance 

    @observable
    nom1_cur=""           // \lidgrp\cbs\nom1\cur    Currency 

    @observable
    opn1_amt=""           // \lidgrp\cbs\opn1\amt    Balance 

    @observable
    opn1_cur=""           // \lidgrp\cbs\opn1\cur    Currency 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    spt_inr=""           // \sysmod\spt\inr    唯一编号 

    @observable
    trndoc_cortyp=""           // \trnmod\trndoc\cortyp    Per Medium 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.advtyp=""
            this.approvcod=""
            this.disdat=""
            this.docflg=""
            this.docprbrol=""
            this.docsta=""
            this.dscinsflg=""
            this.igndisflg=""
            this.matdat=""
            this.nam=""
            this.orddat=""
            this.ownref=""
            this.predat=""
            this.rcvdat=""
            this.shpdat=""
            this.totdat=""
            this.avbby=""
            this.expdat=""
            this.expplc=""
            this.lcrtyp=""
            this.nam1=""
            this.opndat=""
            this.ownref1=""
            this.redclsflg=""
            this.revflg=""
            this.shpdat1=""
            this.utlnbr=""
            this.pts_nam=""
            this.pts_ref=""
            this.pts1_nam=""
            this.pts1_ref=""
            this.blk_comcon=""
            this.blk_docdis=""
            this.blk_docdisflg=""
            this.blk_matper=""
            this.blk_setinsbr=""
            this.max2_amt=""
            this.max_amt=""
            this.max_cur=""
            this.opn2_cur=""
            this.pts2_adrblk=""
            this.pts2_extkey=""
            this.pts2_nam=""
            this.pts2_ref=""
            this.aammod_addamtflg=""
            this.brtp_cre732flg=""
            this.brtp_cre752flg=""
            this.docgrdm_docdsclab=""
            this.brtp_furide=""
            this.brtp_setnowflg=""
            this.lidgrp_avbnam=""
            this.nom1_amt=""
            this.nom1_cur=""
            this.opn1_amt=""
            this.opn1_cur=""
            this.setmod_docamt=""
            this.setmod_doccur=""
            this.setmod_feemac=""
            this.glemod_glelst=[]
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_setmac=""
            this.spt_inr=""
            this.trndoc_cortyp=""
            this.trndoc_doccod=""
            this.docmod_doclst=[]
            this.trndoc_docpth=""
    }

} 


export default Litdck