export default fieldSet = {
        apprul:[
            {type:'string',max:30,message:'长度不能超过30个字符'},  // \lidgrp\rec\apprul    Applicable Rules 
    ],
    apprultxt:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\rec\apprultxt    Other Applicable Rules 
    ],
    avbby:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \lidgrp\rec\avbby    Available by 
    ],
    avbwth:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \lidgrp\rec\avbwth    Available with 
    ],
    chato:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \lidgrp\rec\chato    Own Charges Borne by 
    ],
    cnfdet:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \lidgrp\rec\cnfdet    Confirmation Instructions 
    ],
    expdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \lidgrp\rec\expdat    Date of Expiry 
    ],
    expplc:[
            {type:'string',max:29,message:'长度不能超过29个字符'},  // \lidgrp\rec\expplc    Place of Expiry 
    ],
    lcrtyp:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \lidgrp\rec\lcrtyp    Form of Documentary Credit 
    ],
    nam:[
            {type:'string',max:140,message:'长度不能超过140个字符'},  // \lidgrp\rec\nam    Externally Displayed Name to Identify the Contract 
    ],
    nomspc:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \lidgrp\rec\nomspc    Amount Specification 
    ],
    nomton:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \lidgrp\rec\nomton    Amount Tolerance - Negative 
    ],
    nomtop:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \lidgrp\rec\nomtop    Amount Tolerance - Positive 
    ],
    opndat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \lidgrp\rec\opndat    Date L/C Opened/Issued 
    ],
    ownref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\rec\ownref    Reference 
    ],
    pordis:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \lidgrp\rec\pordis    Port of Discharge 
    ],
    porloa:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \lidgrp\rec\porloa    Port of Loading 
    ],
    preadvdt:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \lidgrp\rec\preadvdt    Date Pre-advised 
    ],
    redclsflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \lidgrp\rec\redclsflg    Red/Green Clause 
    ],
    resflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \lidgrp\rec\resflg    Reserved Contract 
    ],
    revflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \lidgrp\rec\revflg    Revolving Flag 
    ],
    rmbflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \lidgrp\rec\rmbflg    Reimbursement Information 
    ],
    shpdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \lidgrp\rec\shpdat    Shipment Date 
    ],
    shpfro:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \lidgrp\rec\shpfro    Shipment from 
    ],
    shppar:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\rec\shppar    Partial Shipment 
    ],
    shpto:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \lidgrp\rec\shpto    For Transportation to 
    ],
    shptrs:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\rec\shptrs    Transshipment 
    ],
    stacty:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \lidgrp\rec\stacty    Country Code Risk Country 
    ],
    stagod:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \lidgrp\rec\stagod    Goods Code 
    ],
    tenmaxday:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \lidgrp\rec\tenmaxday    Maximum tenor in days 
    ],
    expdat1:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \oldlidgrp\rec\expdat    Date of Expiry 
    ],
    nomton1:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \oldlidgrp\rec\nomton    Amount Tolerance - Negative 
    ],
    nomtop1:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \oldlidgrp\rec\nomtop    Amount Tolerance - Positive 
    ],
    shpdat1:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \oldlidgrp\rec\shpdat    Shipment Date 
    ],
    liaccv_chgamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \liaall\liaccv\chgamt    变动金额 
    ],
    liaccv_concur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \liaall\liaccv\concur    业务结算币种 
    ],
    liaccv_cshpct:[
            {type:'string',max:5,message:'长度不能超过5个字符'},  // \liaall\liaccv\cshpct    保证金应收比例 
    ],
    liaccv_newamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \liaall\liaccv\newamt    业务金额 
    ],
    liaccv_pctresamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \liaall\liaccv\pctresamt    应收/支保证金 
    ],
    liaccv_relcshpct:[
            {type:'string',max:5,message:'长度不能超过5个字符'},  // \liaall\liaccv\relcshpct    保证金实收比例 
    ],
    liaccv_totcovamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \liaall\liaccv\totcovamt    保证金合计 
    ],
    pts_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\a2b\pts\adrblk    SWIFT地址 
    ],
    pts_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\a2b\pts\extkey    客户编号 
    ],
    pts_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\a2b\pts\ref    参考号 
    ],
    pts1_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\adv\pts\adrblk    SWIFT地址 
    ],
    pts1_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\adv\pts\extkey    客户编号 
    ],
    pts1_nam:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \lidgrp\adv\pts\nam    客户英文名称 
    ],
    pts1_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\adv\pts\ref    参考号 
    ],
    pts2_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\apl\pts\adrblk    SWIFT地址 
    ],
    pts2_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\apl\pts\extkey    客户编号 
    ],
    pts2_nam:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \lidgrp\apl\pts\nam    客户英文名称 
    ],
    pts2_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\apl\pts\ref    参考号 
    ],
    pts3_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\avb\pts\adrblk    SWIFT地址 
    ],
    pts3_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\avb\pts\extkey    客户编号 
    ],
    pts3_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\avb\pts\ref    参考号 
    ],
    lidgrp_avbnam:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \lidgrp\avbnam    Available with Bank 
    ],
    pts4_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\ben\pts\adrblk    SWIFT地址 
    ],
    pts4_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\ben\pts\extkey    客户编号 
    ],
    pts4_nam:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \lidgrp\ben\pts\nam    客户英文名称 
    ],
    pts4_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\ben\pts\ref    参考号 
    ],
    blk_adlcnd:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \lidgrp\blk\adlcnd    Additional Conditions 
    ],
    blk_adlcndame:[
            {type:'string',max:50,message:'长度不能超过50个字符'},  // \lidgrp\blk\adlcndame    Additional  Conditions Amendment History 
    ],
    blk_defdet:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\blk\defdet    Deferred Payment Details 
    ],
    blk_dftat:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\blk\dftat    Drafts at 
    ],
    blk_feetxt:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\blk\feetxt    Additional Details to Code for Charges 
    ],
    blk_insbnk:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \lidgrp\blk\insbnk    Instructions to Paying/Accepting/Negotiating Bank 
    ],
    blk_insbnkame:[
            {type:'string',max:50,message:'长度不能超过50个字符'},  // \lidgrp\blk\insbnkame    Instructions to P/A/N Amendment History 
    ],
    blk_lcrdoc:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \lidgrp\blk\lcrdoc    Documents Required 
    ],
    blk_lcrdocame:[
            {type:'string',max:50,message:'长度不能超过50个字符'},  // \lidgrp\blk\lcrdocame    Documents Required Amendment History 
    ],
    blk_lcrgod:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \lidgrp\blk\lcrgod    Description of Gods 
    ],
    blk_lcrgodame:[
            {type:'string',max:50,message:'长度不能超过50个字符'},  // \lidgrp\blk\lcrgodame    Description of Goods Amendment History 
    ],
    blk_mixdet:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\blk\mixdet    Mixed Payment Details 
    ],
    blk_preper:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\blk\preper    Presentation Period 
    ],
    blk_preperflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \lidgrp\blk\preperflg    Presentation Period modified 
    ],
    blk_shpper:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \lidgrp\blk\shpper    Shipment Period 
    ],
    max2_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \lidgrp\cbs\max2\cur    Currency 
    ],
    max_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\cbs\max\amt    Balance 
    ],
    max_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \lidgrp\cbs\max\cur    Currency 
    ],
    nom1_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\cbs\nom1\amt    Balance 
    ],
    nom1_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \lidgrp\cbs\nom1\cur    Currency 
    ],
    opn1_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\cbs\opn1\amt    Balance 
    ],
    opn1_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \lidgrp\cbs\opn1\cur    Currency 
    ],
    pts5_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\cmb\pts\adrblk    SWIFT地址 
    ],
    pts5_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\cmb\pts\extkey    客户编号 
    ],
    pts6_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\drw\pts\adrblk    SWIFT地址 
    ],
    pts6_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\drw\pts\extkey    客户编号 
    ],
    pts7_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\ini\pts\adrblk    SWIFT地址 
    ],
    pts7_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\ini\pts\extkey    客户编号 
    ],
    pts7_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\ini\pts\ref    参考号 
    ],
    pts8_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\rmb\pts\adrblk    SWIFT地址 
    ],
    pts8_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\rmb\pts\extkey    客户编号 
    ],
    pts8_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\rmb\pts\ref    参考号 
    ],
    litamep_amenbr:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \litamep\amenbr    Number of Amendment 
    ],
    litamep_cre707flg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \litamep\cre707flg    Create Amendment Message 
    ],
    litamep_engamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \litamep\engamt    change of engagement: 
    ],
    litamep_engcur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \litamep\engcur    Engagement Currency 
    ],
    litamep_maxamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \litamep\maxamt    New Maximum Amount 
    ],
    litamep_maxcur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \litamep\maxcur    Currency of Maximum Amount 
    ],
    litamep_ramrol:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \litamep\ramrol    Request of Amendment send to 
    ],
    litamep_ramrollab:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \litamep\ramrollab    Label for RAMROL 
    ],
    swiadd_addamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \litamep\swiadd\addamt    Additional Amount 
    ],
    swiadd_addamtcov:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \litamep\swiadd\addamtcov    Additional Amount Covered 
    ],
    swiadd_adlcnd:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \litamep\swiadd\adlcnd    Additional Conditions amendment 
    ],
    swiadd_ameamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \litamep\swiadd\ameamt    Amended Amount 
    ],
    swiadd_amecur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \litamep\swiadd\amecur    Currency of amended amount 
    ],
    swiadd_amedat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \litamep\swiadd\amedat    Date of Amendment 
    ],
    swiadd_amenbr:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \litamep\swiadd\amenbr    Number of Amendment 
    ],
    swiadd_insbnk:[
            {type:'string',max:50,message:'长度不能超过50个字符'},  // \litamep\swiadd\insbnk    Instruction to P/A/N Bank amendment 
    ],
    swiadd_lcrdoc:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \litamep\swiadd\lcrdoc    Documents Required amendment 
    ],
    swiadd_lcrgod:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \litamep\swiadd\lcrgod    Description of Goods amendment 
    ],
    swiadd_nartxt:[
            {type:'string',max:50,message:'长度不能超过50个字符'},  // \litamep\swiadd\nartxt    Narrative 
    ],
    swiadd_nartxtflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \litamep\swiadd\nartxtflg    Narrative modified 
    ],
    swiadd_newamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \litamep\swiadd\newamt    New amount 
    ],
    swiadd_newcur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \litamep\swiadd\newcur    Currency of new amount 
    ],
    swiadd_newexpdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \litamep\swiadd\newexpdat    New Expiry Date 
    ],
    swiadd_newnomton:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \litamep\swiadd\newnomton    New negative tolerance 
    ],
    swiadd_newnomtop:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \litamep\swiadd\newnomtop    New positive tolerance 
    ],
    swiadd_newshpdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \litamep\swiadd\newshpdat    New Shipmentdate 
    ],
    swiadd_nomspc:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \litamep\swiadd\nomspc    Amount Specification 
    ],
    swiadd_pordis:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \litamep\swiadd\pordis    Port of Discharge 
    ],
    swiadd_porloa:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \litamep\swiadd\porloa    Port of Loading 
    ],
    swiadd_shpfro:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \litamep\swiadd\shpfro    Shipment from 
    ],
    swiadd_shpper:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \litamep\swiadd\shpper    Shipment Period 
    ],
    swiadd_shpto:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \litamep\swiadd\shpto    For Transportation to 
    ],
    usr_nam:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \litp\\sysmod\usr\nam    用户ID 
    ],
    aammod_addamtflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \litp\aamp\aammod\addamtflg    Add. Amount 
    ],
    litp_avblab:[
            {type:'string',max:80,message:'长度不能超过80个字符'},  // \litp\avblab    Label Available with Bank 
    ],
    blk1_narhis:[
            {type:'string',max:50,message:'长度不能超过50个字符'},  // \oldlidgrp\blk\narhis    Historic Overview of Narratives 
    ],
    max1_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \oldlidgrp\cbs\max\amt    Balance 
    ],
    max1_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \oldlidgrp\cbs\max\cur    Currency 
    ],
    nom11_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \oldlidgrp\cbs\nom1\amt    Balance 
    ],
    setmod_docamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \setmod\docamt    document amount 
    ],
    setmod_doccur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \setmod\doccur    document currency 
    ],
    setmod_feemac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\feemac    FEEMAC 
    ],
    setmod_setmac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\setmac    SETMAC 
    ],
    spt_inr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \sysmod\spt\inr    唯一编号 
    ],
    trndoc_condocstm:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \trnmod\trndoc\condocstm    Connected Documents 
    ],
    trndoc_cortyp:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \trnmod\trndoc\cortyp    Per Medium 
    ],
    trndoc_doccod:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \trnmod\trndoc\doccod    面函码值 
    ],
    trndoc_docpth:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \trnmod\trndoc\docpth    面函路径 
    ],
    trndoc_doctrestm:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \trnmod\trndoc\doctrestm    Document tree 
    ],
    trndoc_shwinc:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \trnmod\trndoc\shwinc    Show Incoming Messages 
    ],
    trndoc_shwout:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \trnmod\trndoc\shwout    Show Outgoing Messages 
    ],
    trndoc_shwoutint:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \trnmod\trndoc\shwoutint    Show Internal Messages 
    ],
}