export default fieldSet = {
        avbby:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \lidgrp\rec\avbby    Available by 
    ],
    expdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \lidgrp\rec\expdat    Date of Expiry 
    ],
    expplc:[
            {type:'string',max:29,message:'长度不能超过29个字符'},  // \lidgrp\rec\expplc    Place of Expiry 
    ],
    lcrtyp:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \lidgrp\rec\lcrtyp    Form of Documentary Credit 
    ],
    nam:[
            {type:'string',max:140,message:'长度不能超过140个字符'},  // \lidgrp\rec\nam    Externally Displayed Name to Identify the Contract 
    ],
    opndat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \lidgrp\rec\opndat    Date L/C Opened/Issued 
    ],
    ownref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\rec\ownref    Reference 
    ],
    redclsflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \lidgrp\rec\redclsflg    Red/Green Clause 
    ],
    revflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \lidgrp\rec\revflg    Revolving Flag 
    ],
    shpdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \lidgrp\rec\shpdat    Shipment Date 
    ],
    byinst:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \byinst    On Applicant instruction 
    ],
    liaccv_chgamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \liaall\liaccv\chgamt    变动金额 
    ],
    liaccv_concur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \liaall\liaccv\concur    业务结算币种 
    ],
    liaccv_cshpct:[
            {type:'string',max:5,message:'长度不能超过5个字符'},  // \liaall\liaccv\cshpct    保证金应收比例 
    ],
    liaccv_newamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \liaall\liaccv\newamt    业务金额 
    ],
    liaccv_pctresamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \liaall\liaccv\pctresamt    应收/支保证金 
    ],
    liaccv_relcshpct:[
            {type:'string',max:5,message:'长度不能超过5个字符'},  // \liaall\liaccv\relcshpct    保证金实收比例 
    ],
    liaccv_totcovamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \liaall\liaccv\totcovamt    保证金合计 
    ],
    pts_nam:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \lidgrp\adv\pts\nam    客户英文名称 
    ],
    pts_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\adv\pts\ref    参考号 
    ],
    pts1_nam:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \lidgrp\apl\pts\nam    客户英文名称 
    ],
    pts1_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\apl\pts\ref    参考号 
    ],
    lidgrp_avbnam:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \lidgrp\avbnam    Available with Bank 
    ],
    pts2_nam:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \lidgrp\ben\pts\nam    客户英文名称 
    ],
    pts2_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\ben\pts\ref    参考号 
    ],
    nom1_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\cbs\nom1\amt    Balance 
    ],
    nom1_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \lidgrp\cbs\nom1\cur    Currency 
    ],
    opn1_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\cbs\opn1\amt    Balance 
    ],
    opn1_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \lidgrp\cbs\opn1\cur    Currency 
    ],
    aammod_addamtflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \litp0\aammod\addamtflg    Add. Amount 
    ],
    setmod_docamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \setmod\docamt    document amount 
    ],
    setmod_doccur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \setmod\doccur    document currency 
    ],
    setmod_feemac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\feemac    FEEMAC 
    ],
    setmod_setmac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\setmac    SETMAC 
    ],
    sndmsg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \sndmsg    Send message to apllicant 
    ],
    spt_inr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \sysmod\spt\inr    唯一编号 
    ],
    trndoc_cortyp:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \trnmod\trndoc\cortyp    Per Medium 
    ],
    trndoc_doccod:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \trnmod\trndoc\doccod    面函码值 
    ],
    trndoc_docpth:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \trnmod\trndoc\docpth    面函路径 
    ],
}