import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Litsel {
    
    @observable
    brtmod_brdlst=[]           // \brtmod\brdlst 

    @observable
    brtmod_brref=""           // \brtmod\brref    单据编号 

    @observable
    brtmod_lcref=""           // \brtmod\lcref    信用证编号 

    @observable
    brtmod_selflg=""           // \brtmod\selflg    查询标志 

    @observable
    litmod_lidlst=[]           // \litmod\lidlst 

    @observable
    litmod_ownref=""           // \litmod\ownref    业务编号 

    @observable
    litmod_selflg=""           // \litmod\selflg    信用证查询标志 

    @observable
    inr=""					//\litmod\rec\inr

	@observable
    inr1=""					//\brtmod\rec\inr
	
    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.brtmod_brdlst=[]
            this.brtmod_brref=""
            this.brtmod_lcref=""
            this.brtmod_selflg=""
            this.litmod_lidlst=[]
            this.litmod_ownref=""
            this.litmod_selflg=""
    }

} 


export default Litsel