import React,{ Component } from 'react';
import { Row, Col } from 'antd';
import { ConfirmButton, Button, Label } from '@/components/Common-Library'
import { observable } from 'mobx'
import { inject, observer } from 'mobx-react'
import { Link, withRouter } from 'react-router-dom'
global.dataSources =[]
global.dataSources1 =[]
@withRouter
@observer
export default  class BottomBtn extends Component{
  constructor(){
    super()
  }

  @observable
  pedLoading = false    //控制暂存按钮是否处于等待状态----等待状态时不可点击

  @observable
  savLoading = false    //控制暂存按钮是否处于等待状态----等待状态时不可点击

  // 退出按钮
	onRtn = () => {
		this.props.history.push({ pathname:'pcysel'})
  }
  
	//保存按钮
	onSav = () => {
    //点击按钮第一时间让按钮处于等待状态，防止多次点击触发事件
    this.savLoading = true
  //   if(this.props.history.location.query){
	// 		console.log(this.props.history.location.query.model)
	// 		this.state.dataSource=this.props.history.location.query.model
	// 		console.log(this.state.dataSource)
  //   }
  //   if(this.props.dataSource &&!(this.props.dataSource instanceof Array)){
  //     console.log(this.props.dataSource)
  //     global.dataSources.push(this.props.dataSource)
  //     console.log( global.dataSources)
  //      this.setState({
  //     dataSource: global.dataSources
  // })
  //     }
    if(this.props._this.model &&!(this.props._this.model instanceof Array)){
          global.dataSources.push(this.props._this.model)
    }
    this.props.history.push({ pathname:'pcysel', query: { model:this.props._this.model} })
    setTimeout(()=>{
      this.savLoading = false
    },3000)
  }
  onDelete=(val, row, index)=>{
    console.log(val)
    global.dataSources.splice( global.dataSources.indexOf(val), 1);
    console.log(row)
    console.log(index)
}
async link(pathname, val,row,index){
  this.onDelete(val, row, index)
if(val){
  this.lidinr = val
}
//   const rtnmsg = await Api.post('litsel/cfgfil_isnext', { data: this.model, params: { objinr:this.lidinr, objtyp:"lid"} })
//   if (rtnmsg.retcod == SUCCESS) {
  this.props.history.push({ pathname, query: { lidinr:this.lidinr} });
//   }else{
//     Notification.error({ message: `${rtnmsg.retmsg}` })
//   }
}
  render(){
    return (
      <Row type="flex" justify="center">
        <Col>
          <div className="button0" style={this.props.css}>
            <div className='button2'>
              <ConfirmButton type="primary"
                onOK={this.onRtn}
                 onOK1={this.onRtnPed}
                message="确定退出？"
                isped={true}
                disabled={this.props.disabled}
              >
                <Label itext="退出" />
              </ConfirmButton>
            </div>

            <div className='button2' style={this.props.css}>
              <ConfirmButton type="primary"
								onOK={this.onSav}
								icon="save"
                message="确定提交？"
                loading={this.savLoading}
							>
								<Label itext="提交" />
							</ConfirmButton>
            </div>
          </div>
        </Col>
      </Row>
    )
  }
}